[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# Register

Registers components in the Lazarus IDE.

## Declaration

Source position: comctrls.pp line 4175

`procedure Register;`

## Description

Register is a procedure used to register components in the comctrls.pp unit in the Lazarus IDE. Register adds the following components to the Component palette:

Common Controls Tab

- TTrackbar
- TProgressBar
- TTreeView
- TListView
- TStatusBar
- TToolBar
- TCoolBar
- TUpDown
- TPageControl
- TTabControl
- THeaderControl

Register adds the following as components with no icon on the component palette:

- TToolButton
- TTabSheet